services:
  provd:
    image: xivoxc/xivo-provd-test
    ports:
      - "8666:8666"
    expose:
      - "8666"
    volumes:
      - "./etc/xivo-provd/provd.conf:/etc/xivo/provd/provd.conf"
  postgres:
    image: xivoxc/xivo-db-test
    environment:
      INIT_DB_TEST: "false"
      POSTGRES_PASSWORD: confdtests
    expose:
      - "5432"
    ports:
      - "15432:5432"
  rabbitmq:
    image: xivoxc/rabbitmq-test
    ports:
      - "5672:5672"
    environment:
      - RABBITMQ_CONFIG_FILE=/etc/rabbitmq/xivo/rabbitmq
  sysconfd:
    image: p0bailey/docker-flask
    expose:
      - "8668"
    ports:
      - "18668:8668"
    volumes:
      - "./mocks/sysconfd.py:/tmp/sysconfd.py"
    command: "python /tmp/sysconfd.py"
  confd:
    image: xivoxc/xivo-confd-test
    expose:
      - "9486"
    ports:
      - "9486:9486"
    links:
      - postgres
      - rabbitmq
      - provd
      - sysconfd
    command: "xivo-confd -f -d"
    volumes:
      - "../../..:/usr/src/xivo-confd"
      - "./etc/xivo-confd:/etc/xivo-confd"
      - "./etc/ssl:/usr/share/xivo-certs"
      - "./etc/timezone:/etc/timezone"
      - "/etc/xivo/wizard.d:/etc/xivo/wizard.d"
      - "/var/tmp:/var/tmp"
    domainname: example.com
  sync:
    image: dokku/wait
    links:
      - rabbitmq
      - postgres
      - provd
      - sysconfd
      - confd
    environment:
      - INTEGRATION_TEST_TIMEOUT
    command: "-c postgres:5432,rabbitmq:5672,provd:8666,sysconfd:8668,confd:9486 -t ${INTEGRATION_TEST_TIMEOUT:-30}"
networks:
  default:
    ipam:
      driver: default
      config:
        - subnet: 172.16.94.80/28